### Hierarchy

- HttpTransportSyncedImpl

### Implements

- HttpTransport

## Index

### Constructors

- constructor

### Methods

- addInterceptor
- getHost
- sendBlobRequest
- sendRequest

## Constructors

### constructor

- new HttpTransportSyncedImpl(host: string, loggerService: Logger): HttpTransportSyncedImpl

- - Defined in repository/source/http/HttpTransportSyncedImpl.ts:33

  #### Parameters

  - ##### host: string

  - ##### loggerService: Logger

  #### Returns HttpTransportSyncedImpl

## Methods

### addInterceptor

- addInterceptor(interceptor: HttpInterceptor): HttpTransport

- Implementation of HttpTransport.addInterceptor

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:44

  #### Parameters

  - ##### interceptor: HttpInterceptor

  #### Returns HttpTransport

### getHost

- getHost(): string

- Implementation of HttpTransport.getHost

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:73

  #### Returns string

### sendBlobRequest

- sendBlobRequest(path: string, method: HttpMethod, headers: Map<string, string>, data?: any, file?: File): Promise<Response>

- Implementation of HttpTransport.sendBlobRequest

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:63

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### headers: Map<string, string>

  - ##### Optional data: any

  - ##### Optional file: File

  #### Returns Promise<Response>

### sendRequest

- sendRequest(method: HttpMethod, data?: any): Promise<Response>

- Implementation of HttpTransport.sendRequest

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:51

  #### Parameters

  - ##### method: HttpMethod

  - ##### Optional data: any

  #### Returns Promise<Response>

Generated using TypeDoc